Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027152
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-07-22 12:392014-08-08 18:54
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision1ecf6de02840
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027152: can't export to dataset tree nodes defined in new trees

DescriptionIt is not possible to export as part of a dataset tree nodes defined in new trees.
Steps To Reproduce-Create a new tree
-Add nodes to it
-Create a new dataset that export these nodes
-Export dataset, process fails with this error
1f923ef8 6295882 [http-8080-6] ERROR org.openbravo.base.exception.OBException - No entity found for treetype OBUBGDB_Process
org.openbravo.base.exception.OBException: No entity found for treetype OBUBGDB_Process
    at org.openbravo.dal.xml.PrimitiveReferenceHandler.getPrimitiveReferencedEntity(PrimitiveReferenceHandler.java:213)
    at org.openbravo.dal.xml.EntityXMLConverter.export(EntityXMLConverter.java:441)


An example of this can be found in https://code.openbravo.com/erp/mods/org.openbravo.util.performance.bigdb/ [^] @c6c0ddbeaee4
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00259063.0PR14Q2 closedAugustoMauch Tree Extension Project 
related to defect 0027148 closedalostale Module org.openbravo.module.resources cannot be uninstalled 
related to defect 0027153 acknowledgedplatform AD dataset can't define several times the same table 

-  Notes
(0068848)
hgbot (developer)
2014-07-23 16:47

Repository: erp/devel/pi
Changeset: 1ecf6de02840baa3ad740108ccc356478746e60f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 23 16:47:30 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1ecf6de02840baa3ad740108ccc356478746e60f [^]

fixed bug 27152: can't export to dataset tree nodes defined in new trees

---
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/dal/xml/PrimitiveReferenceHandler.java
M src/org/openbravo/service/db/DataImportService.java
---
(0068995)
shankarb (developer)
2014-07-31 06:31

Code reviewed and verified in pi changeset be933e11432c.
(0069221)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-22 12:39 alostale New Issue
2014-07-22 12:39 alostale Assigned To => alostale
2014-07-22 12:39 alostale Modules => Core
2014-07-22 12:39 alostale Triggers an Emergency Pack => No
2014-07-22 12:39 alostale Relationship added related to 0025906
2014-07-22 12:39 alostale Relationship added related to 0027148
2014-07-22 12:42 alostale Steps to Reproduce Updated View Revisions
2014-07-22 12:56 alostale Relationship added related to 0027153
2014-07-22 12:59 alostale Relationship deleted related to 0027153
2014-07-22 12:59 alostale Relationship added blocks 0027153
2014-07-22 12:59 alostale Relationship replaced related to 0027153
2014-07-22 13:00 alostale Review Assigned To => shankarb
2014-07-22 13:03 alostale Summary can't export tree nodes defined in new trees => can't export as referencedata tree nodes defined in new trees
2014-07-22 13:03 alostale Summary can't export as referencedata tree nodes defined in new trees => can't export to dataset tree nodes defined in new trees
2014-07-23 16:47 hgbot Checkin
2014-07-23 16:47 hgbot Note Added: 0068848
2014-07-23 16:47 hgbot Status new => resolved
2014-07-23 16:47 hgbot Resolution open => fixed
2014-07-23 16:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1ecf6de02840baa3ad740108ccc356478746e60f [^]
2014-07-31 06:31 shankarb Note Added: 0068995
2014-07-31 06:31 shankarb Status resolved => closed
2014-07-31 06:31 shankarb Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069221


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker